# TdApi.ChatTheme (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ChatTheme

Package it.tdlight.jni

# Class TdApi.ChatTheme

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatTheme

Enclosing class:
  TdApi

    public static class TdApi.ChatTheme
    extends TdApi.Object

Describes a chat theme.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.ThemeSettings` | `darkSettings` | Theme settings for a dark chat theme.
`TdApi.ThemeSettings` | `lightSettings` | Theme settings for a light chat theme.
`String` | `name` | Theme name.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChatTheme()` | Describes a chat theme.
`ChatTheme​(DataInput input)` |
`ChatTheme​(String name, TdApi.ThemeSettings lightSettings, TdApi.ThemeSettings darkSettings)` | Describes a chat theme.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public String name
Theme name.

### lightSettings

public TdApi.ThemeSettings lightSettings
Theme settings for a light chat theme.

### darkSettings

public TdApi.ThemeSettings darkSettings
Theme settings for a dark chat theme.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ChatTheme

public ChatTheme()
Describes a chat theme.

### ChatTheme

public ChatTheme​(String name, TdApi.ThemeSettings lightSettings, TdApi.ThemeSettings darkSettings)
Describes a chat theme.

Parameters:
  `name` - String Theme name.
  `lightSettings` - ThemeSettings Theme settings for a light chat theme.
  `darkSettings` - ThemeSettings Theme settings for a dark chat theme.

### ChatTheme

public ChatTheme​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`